Subject: Re: Getting bash working under Emacs
From: [email-masked] (Chris Faylor)

1 Dec 1997 17:31:14 -0800
Message-ID: <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]

Sorry, it won't work.  My previous mail did not make it clear that the
CYGWIN_BINMODE environment variable is not currently implemented in any
version of B18.  Ditto for CYGWIN_GLOB.

The other CYGWIN_* environment variables are already implemented in
coolview, I think.

>I'm not claiming this will work but it is worth a try.  In a memo from 
>Chris Faylor taking a vote for some modifications he mentions some 
>environment variable switches two of which were CYGWIN_BINMODE and 
>CYGWIN_NOBINMODE.  I suggest for your emacs experiment to set 
>CYGWIN_NOBINMODE=1 before calling emacs.  Note that you will have needed 
>to install Sergey's patches for this to work.
>
>What do you think Chris,  would this allow bash to interpret the ^M from 
>emacs as part of the line termination?  What would the other side 
>effects be from CYGWIN_NOBINMODE being set on?
>
>-        \\||//
>---o0O0--Earnie--0O0o----
>[email-masked]
>------ooo0O--O0ooo-------
>
>>Date: Fri, 28 Nov 1997 18:38:46 -0800
>>To: [email-masked], [email-masked]
>>From: "Guy G. Piggford" <[email-masked]>
>>Subject: Getting bash working under Emacs
>>
>>Sorry about sending this to both lists, but I'm not sure exactly where 
>the
>>fix is so I hoping that the wider audience helps.
>>
>>I'm using the cygnus tools along with the latest coolview patches and 
>emacs
>>19.34.6.  I've just finished getting bash 2.01.1 compiled and working 
>and
>>patched it so that bash can handle the case-insensitivity of NT 
>correctly.
>>Things looked pretty good, I'd had some mucking around to do since
>>configure ran but came up with a pretty hopeless configuration so I had 
>to
>>spend most of last night night finding all of the errors in config.h, 
>but
>>after tidying those up, it compiled and worked just fine.
>>
>>Then I tried to run bash as an inferior shell in emacs, it runs, but 
>after
>>every command is typed it comes back with an error about command^M not
>>being recognised.  Now I know that the coolview patches seem to have
>>removed a lot of useful compatability options to do with text!=binary 
>so
>>I'm assuming that this is another one.
>>
>>Has anyone seen this behaviour?  I don't know whether the best bet is 
>to
>>start delving into emacs lisp to find the problem (not my best 
>language) or
>>try to patch bash to work differently.
>>
>>Any suggestions?
>>
>>Guy
>>
>>-
>>For help on using this list (especially unsubscribing), send a message 
>to
>>"[email-masked]" with one line of text: "help".
>>
>
>
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".